API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
GETFinance
/finance/export
Retrieves a list of exportable data
Retrieves a list of exportable data
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filter | export.Filter | Yes | Filter |
Parameter Models
Inspect object parameters and nested model references without loading the full Swagger file in the browser.
filterBody parameterexport.Filter
credit_invoice_status[]
array<string>
No description.
from
integer
No description.
id[]
array<integer>
No description.
invoice_status[]
array<string>
No description.
order_by
string
No description.
order_desc
boolean
No description.
payment_date_from
integer
No description.
payment_date_until
integer
No description.
payment_method_id
integer
No description.
payment_status[]
array<string>
No description.
period_of_performance_end
integer
No description.
period_of_performance_start
integer
No description.
purchase_invoice_status[]
array<string>
No description.
search
string
No description.
until
integer
No description.
upload_already_exported
boolean
No description.
use_payment
boolean
No description.
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/export' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token' \
-H 'Content-Type: application/json' \
--data-raw '{
"credit_invoice_status[]": [
"string"
],
"from": 123,
"hide_already_exported": "pain008_001_08",
"id[]": [
123
],
"invoice_status[]": [
"string"
],
"order_by": "string",
"order_desc": true,
"payment_date_from": 123,
"payment_date_until": 123,
"payment_method_id": 123,
"payment_status[]": [
"string"
],
"period_of_performance_end": 123,
"period_of_performance_start": 123,
"purchase_invoice_status[]": [
"string"
],
"search": "string",
"until": 123,
"upload_already_exported": true,
"use_payment": true
}'Request Body (application/json)
{
"credit_invoice_status[]": [
"string"
],
"from": 123,
"hide_already_exported": "pain008_001_08",
"id[]": [
123
],
"invoice_status[]": [
"string"
],
"order_by": "string",
"order_desc": true,
"payment_date_from": 123,
"payment_date_until": 123,
"payment_method_id": 123,
"payment_status[]": [
"string"
],
"period_of_performance_end": 123,
"period_of_performance_start": 123,
"purchase_invoice_status[]": [
"string"
],
"search": "string",
"until": 123,
"upload_already_exported": true,
"use_payment": true
}Responses
200List of exportable data
rest_models.PageResponse-app_FinanceJournalapplication/json
Example
{
"collection": [
{...}
],
"count": 123,
"page": 123,
"page_size": 123
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}